tigase.jaxmpp.j2se

## Class DNSResolver

- java.lang.Object
- - tigase.jaxmpp.j2se.DNSResolver

-     public class DNSResolver
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DNSResolver()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<SocketConnector.Entry>` | `resolve(String hostname)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DNSResolver

          public DNSResolver()

  - ### Method Detail

    - #### resolve

          public static List<SocketConnector.Entry> resolve(String hostname)
                                                     throws NamingException

      Throws:
        `NamingException`

Copyright © 2006–2020 Tigase. All rights reserved.